Plugin error from dada2:R and Traceback

Hello!
I got the following error log when running quality control with DADA2:
qiime dada2 denoise-paired
–i-demultiplexed-seqs demux.qza
–p-n-threads 3
–p-trim-left-f 0
–p-trim-left-r 0
–p-trunc-len-f 280
–p-trunc-len-r 280
–o-table table-dada2.qza
–o-representative-sequences rep-seqs-dada2.qza
–o-denoising-stats denoising-stats-dada2.qza
Here is the error log

Running external command line application(s). This may print messages to stdout and/or stderr
The command(s) being run are below. These commands cannot be manually re-run as they will dep

Command: run_dada_paired.R /home/yuli/TMP_Dir/tmpktpm35qo/forward /home/yuli/TMP_Dir/tmpktpm3

R version 3.4.3 (2017-11-30)
Error: package ‘dada2’ was installed by an R version with different internals; it needs to be
Execution halted
Traceback (most recent call last):
File "/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise
run_commands([cmd])
File "/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise
subprocess.run(cmd, check=True)
File “/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/subprocess.py”, line 418, in ru
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '[‘run_dada_paired.R’, '/home/yuli/TMP_Dir/tmpktpm35qo

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py
results = action(**arguments)
File "</home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:dec
File "/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action
output_types, provenance)
File "/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action
output_views = self._callable(**view_args)
File “/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise
" and stderr to learn more.” % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect

Thanks for helping!!!